
#ifndef KACTIVITIES_EXPORT_H
#define KACTIVITIES_EXPORT_H

#ifdef KACTIVITIES_STATIC_DEFINE
#  define KACTIVITIES_EXPORT
#  define KACTIVITIES_NO_EXPORT
#else
#  ifndef KACTIVITIES_EXPORT
#    ifdef KF6Activities_EXPORTS
        /* We are building this library */
#      define KACTIVITIES_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KACTIVITIES_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KACTIVITIES_NO_EXPORT
#    define KACTIVITIES_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KACTIVITIES_DECL_DEPRECATED
#  define KACTIVITIES_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KACTIVITIES_DECL_DEPRECATED_EXPORT
#  define KACTIVITIES_DECL_DEPRECATED_EXPORT KACTIVITIES_EXPORT KACTIVITIES_DECL_DEPRECATED
#endif

#ifndef KACTIVITIES_DECL_DEPRECATED_NO_EXPORT
#  define KACTIVITIES_DECL_DEPRECATED_NO_EXPORT KACTIVITIES_NO_EXPORT KACTIVITIES_DECL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KACTIVITIES_NO_DEPRECATED
#    define KACTIVITIES_NO_DEPRECATED
#  endif
#endif
#include <kactivities_version.h>

#define KACTIVITIES_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KACTIVITIES_NO_DEPRECATED) && !defined(KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KACTIVITIES_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KACTIVITIES_NO_DEPRECATED_WARNINGS) && !defined(KACTIVITIES_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KACTIVITIES_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KACTIVITIES_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KACTIVITIES_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KACTIVITIES_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KACTIVITIES_NO_DEPRECATED)
#  undef KACTIVITIES_DEPRECATED
#  define KACTIVITIES_DEPRECATED_EXPORT KACTIVITIES_EXPORT
#  define KACTIVITIES_DEPRECATED_NO_EXPORT KACTIVITIES_NO_EXPORT
#elif defined(KACTIVITIES_NO_DEPRECATED_WARNINGS)
#  define KACTIVITIES_DEPRECATED
#  define KACTIVITIES_DEPRECATED_EXPORT KACTIVITIES_EXPORT
#  define KACTIVITIES_DEPRECATED_NO_EXPORT KACTIVITIES_NO_EXPORT
#else
#  define KACTIVITIES_DEPRECATED KACTIVITIES_DECL_DEPRECATED
#  define KACTIVITIES_DEPRECATED_EXPORT KACTIVITIES_DECL_DEPRECATED_EXPORT
#  define KACTIVITIES_DEPRECATED_NO_EXPORT KACTIVITIES_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KACTIVITIES_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KACTIVITIES_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KACTIVITIES_NO_DEPRECATED
#  define KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT KACTIVITIES_VERSION
#endif
#ifdef KACTIVITIES_NO_DEPRECATED_WARNINGS
#  define KACTIVITIES_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KACTIVITIES_DEPRECATED_WARNINGS_SINCE
#  ifdef KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KACTIVITIES_DEPRECATED_WARNINGS_SINCE KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KACTIVITIES_DEPRECATED_WARNINGS_SINCE KACTIVITIES_VERSION
#  endif
#endif

#ifndef KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KACTIVITIES_DEPRECATED
#  define KACTIVITIES_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KACTIVITIES_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KACTIVITIES_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KACTIVITIES_EXPORT_H */
